<div class="main-container">
  <div class="saved-message-templates">
    <app-response-template-sidebar style="padding-top: 140px;" (SidebarData)="receiveMessage($event)">
    </app-response-template-sidebar>
  </div>
  <div class="editor-window">
    <div class="heading">
      <h1>Create a custom response style or use an existing response template</h1>
      <input class="input is-rounded changeNameInput" [value]="TemplateName" (change)="changeTemplateName($event)"
        type="text" [placeholder]="TemplateName">
    </div>
    <div class="">
      <div class="editor-window">
        <editor apiKey={{API_KEY_MCE}} onchange="changeContent()" [(ngModel)]="Content" [init]="{
            height: 400,
            plugins: [
              'advlist autolink lists link image charmap print',
              'preview anchor searchreplace visualblocks code',
              'fullscreen insertdatetime media table paste',
              'help wordcount',
              'link', 'image'
            ],
            selector: 'textarea', 
            skin: 'oxide-dark',
            content_css: 'dark'  ,
        
            toolbar:
              'undo redo | formatselect | bold italic | \
              alignleft aligncenter alignright alignjustify | \
              bullist numlist outdent indent | link | image | help'
          }">
        </editor>
        <h3></h3>
      </div>
    </div>

    <h1 style="padding: 20px 0px;">Please select the type of response the template will use</h1>
    <div *ngIf="Message !== undefined" class="buttonStyle">
      <button class="button is-rounded"
        [ngClass]="{'is-success' : Message.responseType === ResponseTypes.TextResponse, 'is-outlined': Message.responseType != ResponseTypes.TextResponse, 'is-link': Message.responseType !== ResponseTypes.TextResponse }"
        (click)="changeResponse(ResponseTypes.TextResponse)">Text Response</button>
      <button class="button is-rounded"
        [ngClass]="{'is-success' : Message.responseType === ResponseTypes.RatingResponse, 'is-outlined': Message.responseType != ResponseTypes.RatingResponse, 'is-link': Message.responseType !== ResponseTypes.RatingResponse }"
        (click)="changeResponse(ResponseTypes.RatingResponse)">Rating Response</button>
    </div>
  </div>
</div>
